program Object4;

{ Program copyright (c) 1995 by Charles Calvert }
{ Project Name: OBJECT4 }

{ This program is a simplified warehouse simulation.

  When you open the program there are a number of
  empty palettes sitting in a large room. If you
  click on one of the palettes, you can "stock" it
  with either yellow, blue, green or violet widgets.

  If you click on a palette that has widgets, you
  can see the number and type of widgets on that
  palette.

  If you click on the List menuitem, you get a list
  of all available items in the warehouse, shown
  in a graphics based format.

  If you click on the Sell menuitem, you can "sell"
  items from the warehouse, which means that stocked
  items will be deleted. If you sell an entire 
  palettes worth of items, then that palette will
  be removed. }

uses
  Forms,
  Main in 'MAIN.PAS' {Menagerie},
  Classdef in 'CLASSDEF.PAS',
  Reports in 'REPORTS.PAS' {Report},
  Status in 'STATUS.PAS' {StatusForm},
  Selldlgs in 'SELLDLGS.PAS' {SellDlg},
  Hierdlg in 'HIERDLG.PAS' {HierarchyDlg};

{$R *.RES}

begin
  Application.CreateForm(TMenagerie, Menagerie);
  Application.CreateForm(TReport, Report);
  Application.CreateForm(TStatusForm, StatusForm);
  Application.CreateForm(TSellDlg, SellDlg);
  Application.CreateForm(THierarchyDlg, HierarchyDlg);
  Application.Run;
end.
