unit Reports;

{ Program copyright (c) 1995 by Charles Calvert }
{ Project Name: OBJECT4 }

interface

uses
  SysUtils, WinTypes, WinProcs,
  Messages, Classes, Graphics,
  Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ClassDef, Buttons;

type
  TReport = class(TForm)
    Panel1: TPanel;
    LName: TLabel;
    Panel2: TPanel;
    LPanel: TLabel;
    LPalette: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    LDescription: TLabel;
    Label5: TLabel;
    LQuantity: TLabel;
    BitBtn1: TBitBtn;
    StockItems: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure StockItemsClick(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    FWidget: TWidget;
    procedure ShowData;
  public
    procedure Run(Widget: TWidget);
  end;

var
  Report: TReport;

implementation

{$R *.DFM}

procedure TReport.ShowData;
begin
  LName.Caption := FWidget.GetName;
  LPalette.Caption := IntToStr(FWidget.Twin.Tag);
  LPanel.Caption := TPanel(FWidget.Parent).Name;
  LDescription.Caption := FWidget.Description;
  LQuantity.Caption := IntToStr(FWidget.Quantity);
end;

procedure TReport.Run(Widget: TWidget);
begin
  FWidget := Widget;
  ShowData;
  ShowModal;
end;

procedure TReport.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TReport.StockItemsClick(Sender: TObject);
begin
  FWidget.Stock;
  ShowData;
end;

procedure TReport.BitBtn2Click(Sender: TObject);
begin
  FWidget.ShowHierarchy;
  ModalResult := mrNone;
end;

end.
